Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003323KdenliveUser Interfacepublic2014-06-13 09:302014-08-19 23:15
Reporterevorster 
Assigned Tovpinon 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSArch LinuxOS Version2014-06-01
Product Version0.9.6 
Target VersionFixed in Version0.9.10 
Summary0003323: 0.9.8 Fade in/out not added to split audio clips
DescriptionWhile doing some light work, I noticed that clips now receive "Fade to/from Black" when dragging from the corner of a clip on a video track, and Fade in/out when dragging from the corner of a clip on an audio track.

Previously, a clip would receive Fade in/out regardless of where it is.

Great, I thought, let's just split the audio from the video, then I can add fades quite quickly.

Unfortunately, this does not work as expected, even though it appears that it does.
Steps To Reproduce1. Load a video clip that has some audio
2. Drag the clip ( or a part of the clip, does not matter ) to a video channel on the timeline.
3. Right-click on the video clip, and select "Split Audio"
4. You should now have a second audio clip on an audio channel.
5. Drag from the corner of the video. Kdenlive will add a Fade from/to Black
6. Drag from the corner of the audio. Kdenlive will appear to add a Fade in/out.
7. Look in the effects window for the clip, and the Fade in/out will not be there.
8. Save the project, and load it. The "apparent" fade will now be gone from the audio too.
Additional InformationWhen un-grouping the audio from the video, and trying to add fade in/out from dragging from the corner, I get an error message, saying: "Cannot add a video effect to this clip"

I am able to add fade in/out by right-clicking on the audio clip and selecting fade in or fade out.

It would appear that the interface is still thinking that I am trying to add fade from black to an audio clip, which of course won't work.

TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0010107)
evorster (reporter)
2014-06-30 02:16

Vincent Pinion...
This behavior was modified by your commit 66516b9

In my workflows I add audio fades MUCH more often than fade to/from black.
This commit has made the latest kdenlive a much bigger pain to us than it should be.

A good middle of the ground solution would be for the user to able to either set a default somewhere, or to add audio fades to audio clips that were split from video by dragging on the top corners of those clips.

-Evert-
(0010117)
vpinon (administrator)
2014-07-06 23:33

Audio fades work again on split clips on latest git (branch "next" and "master").
Adding an option is a good idea, to come soon!
Or invent a new UI behavior (all clips corners/edges already have actions, modifer keys also...)
(0010127)
evorster (reporter)
2014-07-08 12:47

It works beautifully now, and I have never been more productive in kdenlive.

Hmm.. Freudian slip there.. I first typed Kdenlive as Kdenluve. It really is good software, and I think the work you are doing in ironing out the bugs is great!
(0010230)
evorster (reporter)
2014-08-14 14:11

This bug can probably be closed now, it works fine with recent git
(0010231)
vpinon (administrator)
2014-08-14 23:36

I was keeping it open wondering if it was worth adding (yet another) option for that...
(0010259)
vpinon (administrator)
2014-08-19 23:15

that'll be ok like this

- Issue History
Date Modified Username Field Change
2014-06-13 09:30 evorster New Issue
2014-06-30 02:16 evorster Note Added: 0010107
2014-07-06 23:33 vpinon Note Added: 0010117
2014-07-08 12:47 evorster Note Added: 0010127
2014-08-06 00:29 vpinon Assigned To => vpinon
2014-08-06 00:29 vpinon Status new => assigned
2014-08-14 14:11 evorster Note Added: 0010230
2014-08-14 23:36 vpinon Note Added: 0010231
2014-08-19 23:15 vpinon Note Added: 0010259
2014-08-19 23:15 vpinon Status assigned => resolved
2014-08-19 23:15 vpinon Fixed in Version => 0.9.10
2014-08-19 23:15 vpinon Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker